Operational APIs
Auxiliary
Find additional API endpoints for fetching or posting auxiliary data as a complement to other APIs.
File Upload
Use this endpoint to upload a file
This is an authenticated endpoint.
POSTAuth
https://v2.api.mycover.ai/v2/utilities/files/uploadQuery Parameters
| Name | Type | Description |
|---|---|---|
| file | [form-data] file | File to upload |
Response
201 Created
{
"responseCode": 1,
"responseText": "File upload successful",
"data": {
"upload_id": "03a6d0d5-7a7a-4cbe-a26d-89f53558492a" // UUID of the uploaded file
}
}
Get Genders
Use this endpoint to get genders
GET
https://v2.api.mycover.ai/v2/utilities/gendersResponse
200 OK
{
"responseCode": 1,
"responseText": "Genders retrieved",
"data": {
"genders": [
"Male",
"Female"
]
}
}
Get States
Use this endpoint to get states and LGAs in Nigeria
This is an authenticated endpoint.
Response
GETAuth
https://v2.api.mycover.ai/v2/products/utility/e55de863-7d98-4236-bd61-40328cd7f7fc200 OK
{
"responseCode": 1,
"responseText": "Product utility fetched successfully",
"data": [
{
"label": "Abia",
"value": "Abia"
},
{
"label": "Adamawa",
"value": "Adamawa"
},
{
"label": "Akwa Ibom",
"value": "Akwa Ibom"
},
{
"label": "Anambra",
"value": "Anambra"
},
{
"label": "Bauchi",
"value": "Bauchi"
},
{
"label": "Bayelsa",
"value": "Bayelsa"
},
// ...
]
}
Get Vehicle Make List
Use this endpoint to get vehicle make list
This is an authenticated endpoint.
Response
GETAuth
https://v2.api.mycover.ai/v2/products/utility/fa2fb85f-9d1a-4652-a136-9da8e4c57c5c200 OK
{
"responseCode": 1,
"responseText": "Product utility fetched successfully",
"data": [
{
"label": "Acura",
"value": "Acura"
},
{
"label": "Alfa Romeo",
"value": "Alfa Romeo"
},
{
"label": "Audi",
"value": "Audi"
},
// ...
]
}
Get Vehicle Model List
Use this endpoint to get vehicle model list
This is an authenticated endpoint.
Response
GETAuth
https://v2.api.mycover.ai/v2/products/utility/86db5030-df01-4e2d-821b-e43e017f7e67?query=Toyota200 OK
{
"responseCode": 1,
"responseText": "Product utility fetched successfully",
"data": [
{
"label": "Camry",
"value": "Camry"
},
{
"label": "Corolla",
"value": "Corolla"
},
{
"label": "Highlander",
"value": "Highlander"
},
// ...
]
}